log4cplus::OnlyOnceErrorHandler Class Reference

`#include <appender.h>`

Inheritance diagram for log4cplus::OnlyOnceErrorHandler:
[legend]
Collaboration diagram for log4cplus::OnlyOnceErrorHandler:
[legend]

## Public Member Functions

| OnlyOnceErrorHandler ()
virtual | ~OnlyOnceErrorHandler ()
virtual void | error (const log4cplus::tstring &err)
virtual void | reset ()
Public Member Functions inherited from log4cplus::ErrorHandler
| ErrorHandler ()
virtual | ~ErrorHandler ()=0

## Detailed Description

Definition at line 71 of file appender.h.

## Constructor & Destructor Documentation

## OnlyOnceErrorHandler()

log4cplus::OnlyOnceErrorHandler::OnlyOnceErrorHandler | ( |  | ) |

## ~OnlyOnceErrorHandler()

virtual log4cplus::OnlyOnceErrorHandler::~OnlyOnceErrorHandler | ( |  | ) |

virtual

## Member Function Documentation

## error()

virtual void log4cplus::OnlyOnceErrorHandler::error | ( | const log4cplus::tstring & | err | ) |

virtual

Implements log4cplus::ErrorHandler.

## reset()

virtual void log4cplus::OnlyOnceErrorHandler::reset | ( |  | ) |

virtual

Implements log4cplus::ErrorHandler.

The documentation for this class was generated from the following file:

- appender.h